# Move a lead to a pipeline stage

> POST /leads/{id}/stage. HeyRik API parameters and documented request and response examples.

Source: https://www.heyrik.com/docs/api-reference/crm/post-leads-id-stage-move-a-lead-to-a-pipeline-stage

POST https://server.heyrik.com/api/v1/leads/{id}/stage

## Path parameters

- id (required): Replace {id} in the request URL with the value for this resource.

## Headers

Authorization: Bearer $HEYRIK_API_KEY (required). Keep your key on your server.

## Parameters

- stage (string, required): A key from GET /crm/stages.

## Notes

An unknown stage returns 400 invalid_stage with the allowed keys.

## Request example

```sh
curl -X POST https://server.heyrik.com/api/v1/leads/lead_71a4/stage \
  -H "Authorization: Bearer $HEYRIK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "stage": "qualified" }'
```
